import request from '@/utils/request'

// 查询通告列表
export function listNotice(query) {
  return request({
    url: '/busi/notice/list',
    method: 'get',
    params: query
  })
}

// 查询通告详细
export function getNotice(id) {
  return request({
    url: '/busi/notice/' + id,
    method: 'get'
  })
}

// 新增通告
export function addNotice(data) {
  return request({
    url: '/busi/notice',
    method: 'post',
    data: data
  })
}

// 修改通告
export function updateNotice(data) {
  return request({
    url: '/busi/notice',
    method: 'put',
    data: data
  })
}

// 删除通告
export function delNotice(id) {
  return request({
    url: '/busi/notice/' + id,
    method: 'delete'
  })
}
